%define oname   gemcutter

Name:       ruby-%{oname}
Version:    0.7.0
Release:    %mkrel 1
Summary:    Commands to interact with RubyGems.org
Group:      Development/Ruby
License:    MIT
URL:        http://rubygems.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(shoulda)
BuildRequires: rubygem(activesupport)
BuildRequires: rubygem(webmock)
BuildRequires: rubygem(rr)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Adds several commands to RubyGems for managing gems and more on
RubyGems.org.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 0.7.0-1.mga1
+ Revision: 86488
- new version 0.7.0

* Thu Feb 03 2011 shikamaru <shikamaru> 0.6.1-2.mga1
+ Revision: 46635
- imported package ruby-gemcutter


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.6.1-2mdv2011.0
- Initial package

* Fri Sep 17 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 579222
- add some missing dependencies

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 500361
- import rubygem-gemcutter


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.0-1
- initial release
